# $Revision: 1.21 $, $Date: 2010/07/08 08:50:11 $
Summary:	YumExtender - a graphical frontend to yum
Summary(pl.UTF-8):	YumExtender - graficzny interfejs dla yuma
Name:		yumex
Version:	2.0.5
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://www.yum-extender.org/dnl/yumex/source/%{name}-%{version}.tar.gz
# Source0-md5:	57686187efb6abe645b416f4b63d9c37
Source1:	%{name}-gtk.desktop
Source2:	%{name}-kde.desktop
Patch0:		%{name}-yum-config.patch
Patch1:		%{name}-missingok.patch
Patch2:		%{name}-obsoletes.patch
URL:		http://www.yum-extender.org/
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	python-pygtk-glade
Requires:	yum
Suggests:	gksu
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YumExtender - a graphical frontend to yum.

%description -l pl.UTF-8
YumExtender - graficzny interfejs dla yuma.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat << 'EOF' > misc/yumex
#!/bin/sh
#
# Run yumex main python program.
#
exec %{__python} %{_datadir}/yumex/yumex.pyc ${1:+"$@"}
EOF

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PYLIBDIR=%{py_sitescriptdir}/..

mv -f $RPM_BUILD_ROOT{%{_datadir}/yumex,%{_bindir}}/yumex
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/yumex.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/yumex-kde.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/yumex/COPYING
%py_postclean %{_datadir}/yumex

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yumex.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yumex.profiles.conf
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/yumex
%config(noreplace) %verify(not md5 mtime size) /etc/security/console.apps/yumex
%attr(755,root,root) %{_bindir}/yumex
%dir %{py_sitescriptdir}/yumgui
%{py_sitescriptdir}/*/*.py[co]
%{_desktopdir}/*.desktop
%dir %{_datadir}/yumex
%{_datadir}/yumex/*.py[co]
%{_datadir}/yumex/*.glade
%{_pixmapsdir}/yumex

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yumex.spec,v $
Revision 1.21  2010/07/08 08:50:11  arekm
- release 3

Revision 1.20  2010/05/19 22:52:16  sparky
- BR: python, python-modules, rpm-pythonprov

Revision 1.19  2010/05/11 21:13:14  baggins
- rel 2
- desktop file cleanup

Revision 1.18  2009/02/28 19:51:00  duddits
- up to 2.0.5

Revision 1.17  2008/10/03 18:06:42  arekm
- release 2

Revision 1.16  2007-12-28 15:19:56  zbyniu
- up to 2.0.3

Revision 1.15  2007-12-26 16:46:22  glen
- update to 2.0.2

Revision 1.14  2007-12-26 16:07:50  glen
- BR intltool
- packaging fixes

Revision 1.13  2007-12-26 15:57:59  glen
- gksu is suggested

Revision 1.12  2007-06-15 12:25:55  patrys
- clear patches applied upstream

Revision 1.11  2007/06/15 12:23:03  patrys
- 1.9.9

Revision 1.10  2007/05/31 14:30:32  beorn
- Missing BR:

Revision 1.9  2007/05/31 10:45:41  glen
- check-files cleanup, adapter

Revision 1.8  2007/05/28 13:52:06  czarny
- patch from Patrys to stop the runntime obsoletes error

Revision 1.7  2007/05/28 08:20:49  patrys
- actually use the patch

Revision 1.6  2007/05/26 20:05:54  patrys
- handle Suggests

Revision 1.5  2007/05/25 22:48:11  qboosh
- pl

Revision 1.4  2007/05/24 15:03:48  patrys
- graphical fixes

Revision 1.3  2007/05/24 09:04:09  patrys
- added polish translation

Revision 1.2  2007/05/23 18:36:24  patrys
- separate desktop files for kde and gtk

Revision 1.1  2007/05/23 18:10:27  patrys
- initial PLD release
